<?php

include_once 'crear_comanda.php';

include_once 'header.php';
$u = mysql_query("select * from comandas where camarero='$camarero' and mesa='$mesa' and estado='enviada' order by id_comanda desc limit 1") or die(mysql_error());

$ultima = @mysql_result($u, 0, "id_comanda");

$x = mysql_query("select * from ventas where camarero='$camarero' and ticket='$mesa' and estado='Abierta' order by id_venta desc limit 1") or die(mysql_error());

$id_venta_actual = @mysql_result($x, 0, "id_venta");

?>

<style>
	td{
		font-weight: bolder;
		font-size: 12;

	}
</style>
<br>
<div class="container-fluid">
	<h2>NUEVA COMANDA  <span id="camarero" class="text-info pull-right"><i class="fa fa-users"></i> Camarero: <?php echo $camarero?></span></h2>
	<hr>
	<span id="lbMesa" class="text-success h3" style="padding:8px;"><?php echo $mesa?></span>
	<br>
	<br>
<div class="col-md-2">
	<input type="text" class="form-control col-md-2 pull-left" readonly id="comanda" value="<?php echo $id?>">
</div>
<div class="col-md-2">
	<input type="text"  onKeyUp="setTieck(this.value)" style="font-weight: bolder; font-size: 18px;" placeholder="Integrantes en mesa" class="form-control col-md-2 pull-left"  id="ticket" value="<?php echo $ticket?>">
</div>
<div class="col-md-8 pull-right">
 	<a href="mesas.php"  class="btn btn-default btn-lg  mr-2 ml-2"><i class="fa fa-home fa-lg"></i> Salir</a>


	<a href="#" onClick="cancelar()" class="btn btn-success btn-lg mr-2"><i class="fas fa-window-restore fa-lg"></i> Terminar
	</a>
		<a href="#" onClick="modalCambioMesa()" class="btn btn-success btn-lg mr-2"><i class="fas fa-exchange-alt"></i> <b>Cambio de mesa</b>
	</a>

	<a href="#" onClick="enviar()" class="btn btn-primary btn-lg mr-2"><i class="fa fa-check fa-lg"></i> Enviar</a>
</div>

<br>
<br>
	<br>


	<div class="col-md-5 pull-left mt-2">
		<div class="panel panel-default">
			<div class="panel-heading">CATEGORIA PRE PRODUCTOS</div>
			<div class="panel-body">
				<?php
					$sql1 = mysql_query("select * from variedad_productos") or die(mysql_error());
					while($r = mysql_fetch_array($sql1)){
						$variedad = $r["variedad"];
						echo "<button id='".$variedad."' class='btn btn-success mt-2 ml-2 mb-2 mt-2 mr-2'  onclick='show_product(this.id)'><center><i class='fa fa-cube'></i><br>$variedad</center></button>";
					}
					echo "<button id='comun' class='btn btn-danger mt-2 ml-2 mb-2 mt-2 mr-2'  onclick='show_product2(this.id)'><center><i class='fas fa-donate'></i><br>MAS COMUNES</center></button>";

				?>

			</div>
		</div>
	</div>


<div class="col-md-7 pull-right mt-2">
		<div class="panel panel-default">
			<div class="panel-heading">PRODUCTOS <span class="text-info pull-right"><a href="recibo.php?id=<?php echo $ultima?>&str=*C O P I A*"><i class="fas fa-donation"></i> Reimprimir ultima comanda</a></span></div>

			<div class="panel-body" >
				<div class="table-responsive" style="overflow-y:scroll; height: 490px;" id="lista_productos">
				</div>
		</div>
	</div>
</div>



	<div class="col-md-5 pull-left mt-2">
		<div class="panel panel-default">
			<div class="panel-heading">DETALLE COMANDA<span class="text-info h3 pull-right" >Total: <span id="lbTotal">0.00</span></span><br><br></div>
			<div class="panel-body">
				<div class="table-responsive" style="overflow-y:scroll; height: 180px;" id="lista_carrito">
				</div>
			</div>
		</div>
	</div>

	<div class="col-md-5 pull-left mt-2">
		<div class="panel panel-default">
			<div class="panel-heading"><span class="h3 text-success"><b>CUENTA</b></span> <span class="badge badge-success h2 pull-right" id="lbTotal2" style="font-weight:bolder; font-size:20px;">0.00</span><br><br></div>
			<div class="panel-body">
				<div class="table-responsive"  id="lista_carrito2">
				
				</div>
			</div>
		</div>
	</div>


<script>
function cambiar(){
	var hasta_mesa = $("#hasta_mesa").val();
	var desde_mesa = $("#desde_mesa").val();
	var camarero = "<?php echo $_GET['camarero']?>";

	if(hasta_mesa==""){
		alert("DEBE SELECCIONAR LA MESA A LA CUEAL SE CAMBIARA");
		return;
	}
 if(!confirm("SEGURO QUE QUIERE CAMBIAR DE ("+desde_mesa+") A "+hasta_mesa)){
  return;
 }

$.get("cambiar_mesa.php?desde_mesa="+desde_mesa+"&hasta_mesa="+hasta_mesa+"&camarero="+camarero, function(data, st){
			if(st=="success"){
				if(data==1){
					window.location.href="mesas.php";
				}else{
					alert(data);
				}
			}
		})

}


	function modalCambioMesa(){
		var total = $("#txt-total").val()
		if(total>0){alert("Hay articulos pendientes para comanda en esta mesa, debe terminar el proceso"); return;}
   $("#modalCambioMesa").modal('show');
	}

	function cancelar(){
		var mesa = "<?php echo $mesa?>";
		if(confirm("SEGURO DE CANCELAR ESTA COMANDA?")){
			$.get("activar_mesa.php?mesa="+mesa, function(data, st){
			if(st=="success"){
				if(data==1){
					window.location.href="mesas.php";
				}else{
					alert(data)
				}
			}
 })
		}
	}

	function enviar(){
		var total = $("#txt-total").val()
		if(total<=0 || total==""){
			alerta("ATENCION","CUENTA VACIA","warning");
			return;
		}
			var id = "<?php echo $id?>";
 					 var mesa = "<?php echo $mesa?>";
					var camarero = "<?php echo $camarero?>";
		
		if(confirm("SEGURO QUE DESEA ENVIAR ESTA COMANDA?")){
			$.get("enviar.php?id="+id+"&mesa="+mesa+"&comanda="+$("#comanda").val()+"&camarero="+camarero+"&total="+total, function(data, st){
			if(st=="success"){
				if(data==1){
					
					
					window.location.href="recibo.php?id="+id

				}
			}
 })
		}
	
}

	function show_product(variedad){
		 $.get("lista_productos.php?variedad="+variedad, function(data, st){
			if(st=="success"){
				$("#lista_productos").html(data);
			}
 })
	}
	
	function show_product2(variedad){
		 $.get("lista_productos2.php?variedad="+variedad, function(data, st){
			if(st=="success"){
				$("#lista_productos").html(data);
			}
 })
	}
	
	
    lista_carrito();
	function lista_carrito(){
		var id = "<?php echo $id?>";
		 $.get("lista_carrito.php?comanda="+id, function(data, st){
			if(st=="success"){
				$("#lista_carrito").html(data);
				$("#lbTotal").html(numeral($("#txt-total").val()).format('0,0.00'))
			}
 })
	}

    lista_cuenta();
	function lista_cuenta(){
		var id = "<?php echo $id_venta_actual?>";

		var mesa = "<?php echo $mesa?>";
		var camarero = "<?php echo $camarero?>";
		 $.get("lista_cuenta.php?id_venta="+id, function(data, st){
			if(st=="success"){
				$("#lista_carrito2").html(data);
				$("#lbTotal2").html(numeral($("#txt-total2").val()).format('0,0.00'))
			}
 })
	}


function agregar(){
var id = "<?php echo $id?>";
var mesa = "<?php echo $mesa?>";
var camarero = "<?php echo $camarero?>";

 var param="";
 param = "comanda="+id;
 param += "&codigo="+codigo;
 param += "&descripcion="+descripcion;
 param += "&costo="+costo;
 param += "&precio="+precio;
 param += "&mesa="+mesa;
 param += "&camarero="+camarero;

		 $.get("agregar_carrito.php?"+param, function(data, st){
			if(st=="success"){
				if(data=="1"){
					lista_carrito();
				}else{
					alert(data);
				}
			}
})
}


var codigo = "";
var descripcion = "";
var codigo = "";
var costo = "";
var precio = "";
function get_product(c){
		
		 $.get("get_product.php?codigo="+c, function(data, st){
			if(st=="success"){
				if(data=="[]"){return;}
				var datos = JSON.parse(data);
				codigo = datos.codigo
				descripcion = datos.descripcion
				costo = datos.costo
				precio = datos.precio
				agregar();
			}
 })
	}

var codigo_detalle = ""
function get_detalle(codigo){
  codigo_detalle = codigo;
  $("#modalCantidad").modal("show");
}

function borrar(){
  $.get("borrar_item.php?codigo="+codigo_detalle, function(data, st){
			if(st=="success"){
				if(data==1){
					lista_carrito();
					$("#modalCantidad").modal("hide");
				}else{
					alert(data);
				}
			}
})
}

function setTieck(t){
var mesa = "<?php echo $mesa?>";
  $.get("set_ticket.php?mesa="+mesa+"&ticket="+t, function(data, st){
			if(st=="success"){
				if(data==1){
					///
				}else{
					alert(data);
				}
			}
})
}


</script>

<?php

				        $a = mysql_query("select * from mesas where estado='Disponible' order by id_mesa") or die(mysql_error());
				        while($rs = mysql_fetch_array($a)){
							$nombre = $rs["nombre"];
							$id = $rs["id_mesa"];
           		$camarero = $rs["camarero"];
							$tr .= "<option value='$nombre'>".$rs["nombre"]."</option>";
        		   }
///echo $nombre;
include_once 'modales.php';
?>